<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('hoarding_permissions', function (Blueprint $table) {
            $table->string('tax_registrations', 100)->nullable();
                $table->string('agreement_copys', 100)->nullable();
                $table->string('stamppapers', 100)->nullable();
                $table->string('locationphotos', 100)->nullable();
                $table->string('trafficnocs', 100)->nullable();
                $table->string('layout_certificates', 100)->nullable();
                $table->string('Adhaar_cards', 100)->nullable();
                $table->string('plan_certificates', 100)->nullable();
                $table->string('other_docs', 100)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('hoarding_permissions', function (Blueprint $table) {
             $table->dropColumn('tax_registrations', 100)->nullable();
                $table->dropColumn('agreement_copys', 100)->nullable();
                $table->dropColumn('stamppapers', 100)->nullable();
                $table->dropColumn('locationphotos', 100)->nullable();
                $table->dropColumn('trafficnocs', 100)->nullable();
                $table->dropColumn('layout_certificates', 100)->nullable();
                $table->dropColumn('Adhaar_cards', 100)->nullable();
                $table->dropColumn('plan_certificates', 100)->nullable();
                $table->dropColumn('other_docs', 100)->nullable();
        });
    }
};
